## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathGuard Class Reference

Manages the lifetime of an XPath instance. More...

Collaboration diagram for XPathGuard:

[legend]
List of all members.

## Public Member Functions

- XPathGuard (XPathFactory &theFactory, const XPath *theXPath)
    Construct an XPathGuard instance from a factory object and an XPath.
- XPathGuard (XPathGuard &theRHS)
- ~XPathGuard ()
- const XPath * operator-> () const
    Retrieve the object pointer (must not be null).
- const XPath * get () const
    Retrieve the object pointer (may be null).
- void reset ()
    Return the referenced object to the factory and set pointers to null.
- const XPath * release ()
    Transfers ownership of XPath to caller.

## Detailed Description

Manages the lifetime of an XPath instance.

## Constructor & Destructor Documentation

XPathGuard::XPathGuard | ( | XPathFactory & | theFactory,
|  | const XPath * | theXPath
| ) |

  | Construct an XPathGuard instance from a factory object and an XPath. Parameters:
  theFactory | object that manages lifetime of XPaths
  theXPath | pointer to XPath managed

XPathGuard::XPathGuard | ( | XPathGuard & | theRHS | ) |

XPathGuard::~XPathGuard | ( |  | ) |

## Member Function Documentation

const XPath* XPathGuard::get | ( |  | ) | const

| Retrieve the object pointer (may be null). Returns: pointer to XPath

const XPath* XPathGuard::operator-> | ( |  | ) | const

| Retrieve the object pointer (must not be null). Returns: pointer to XPath

const XPath* XPathGuard::release | ( |  | ) |

| Transfers ownership of XPath to caller. Returns: pointer to XPath

void XPathGuard::reset | ( |  | ) |

| Return the referenced object to the factory and set pointers to null.

The documentation for this class was generated from the following file:

- XPathFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.